2020 presidential election, state margins

Data scraped from [The New York Times](https://static01.nyt.com/elections-assets/2020/data/api/2020-11-03/national-map-page/national/president.json)

Inspired by https://twitter.com/nytgraphics/status/1324702140225519616, I was interested in showing state vote margins, but I also still wanted to indicate states that had large populations. One quibble I have with the New York Times map is that large population centers like Phoenix and Las Vegas look almost invisible because their vote margins are so small.

Effectively this map only shows excess votes, basically the wasted "extra" votes that are just running up the score. The inner radius shows the votes for the losing party in each state, and the outer radius shows the winning party. So a high population state with a narrow win would be a big thin circle (like Florida or Texas) and a big state with a wide margin is a big thick circle like California.

Note: the circle radii are based on raw votes for each party's presidential candidates, and are not adjusted according Electoral College weights.

This map shows a major flaw in our our Electoral College system of electing the president. Once you have enough votes in a state to win a plurality there, any extra votes are wasted. These extra margins don't do anything to offset your opponent's votes in other states. All of those thick red circles in states like Oklahoma and West Virginia represent votes that could have helped Trump win if they were in other states. The big blue circles in California and New York represent millions of surplus Biden votes that didn't gain him any extra electoral votes. It's no surprise that in most states the outcome is already determined, so that voters don't feel like it makes any difference whether they vote or not (for president at least).

If you want to learn more about alternatives to the Electoral College, check out:
* [National Popular Vote](https://www.nationalpopularvote.com/)
* [Equal Votes](https://equalvotes.us/)

Twitter thread: https://twitter.com/mappingmashups/status/1326929138221895680

(previous version data from: https://github.com/tonmcg/US_County_Level_Election_Results_08-20/blob/master/2020_US_County_Level_Presidential_Results.csv (as of 2020-11-07))